Subject: File owner/group and git

From: David Turner <[email-masked]>
Date: Wed, 04 Nov 2015 21:03:57 -0500

In unpack-trees.c, in verify_uptodate_1, we check ie_match_stat.  This
returns OWNER_CHANGED if a file has changed ownership since the index
was updated.  Do we actually care about that particular case?  Or really
anything other than DATA_CHANGED?

(We noticed this due to a bug in our watchman code, which fakes up the
owners, but it's a general question).